[Slackbuilds-users] 0001-added-development-dotnet-sdk-6.0-dependency-for-openra.patch

khronosschoty khronosschoty at posteo.org
Thu Feb 24 00:37:06 UTC 2022


hi OpenRA requires a more modern dotnet-sdk to build properly: here it
is. 
-------------- next part --------------
From df43eed7817e339ea55433bfd197d1e964de65e2 Mon Sep 17 00:00:00 2001
From: khronosschoty <khronosschoty at posteo.org>
Date: Wed, 23 Feb 2022 16:33:51 -0800
Subject: [PATCH 1/1] added development/dotnet-sdk-6.0: dependency for
 games/OpenRA

---
 development/dotnet-sdk-6.0/README             |  9 +++
 .../dotnet-sdk-6.0/dotnet-sdk-6.0.SlackBuild  | 80 +++++++++++++++++++
 .../dotnet-sdk-6.0/dotnet-sdk-6.0.info        | 10 +++
 development/dotnet-sdk-6.0/slack-desc         | 19 +++++
 4 files changed, 118 insertions(+)
 create mode 100644 development/dotnet-sdk-6.0/README
 create mode 100644 development/dotnet-sdk-6.0/dotnet-sdk-6.0.SlackBuild
 create mode 100644 development/dotnet-sdk-6.0/dotnet-sdk-6.0.info
 create mode 100644 development/dotnet-sdk-6.0/slack-desc

diff --git a/development/dotnet-sdk-6.0/README b/development/dotnet-sdk-6.0/README
new file mode 100644
index 00000000000..6f2f65b8bd3
--- /dev/null
+++ b/development/dotnet-sdk-6.0/README
@@ -0,0 +1,9 @@
+.NET Core is an open-source, general-purpose development platform
+maintained by Microsoft and the .NET community on GitHub.
+It's cross-platform (supporting Windows, macOS, and Linux)
+and can be used to build device, cloud, and IoT applications.
+
+Please run 'dotnet new' after installing to initiate the program
+and load all of the templates.
+
+Note: Conflicts with dotnet-sdk-3.1
diff --git a/development/dotnet-sdk-6.0/dotnet-sdk-6.0.SlackBuild b/development/dotnet-sdk-6.0/dotnet-sdk-6.0.SlackBuild
new file mode 100644
index 00000000000..3a845a45aac
--- /dev/null
+++ b/development/dotnet-sdk-6.0/dotnet-sdk-6.0.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+# Slackware build script for dotnet-sdk-6.0.
+#
+# Copyright 2019 Reza Talebi, Shahin Shahr, Iran.
+# Adapted by Vasily Sora for dotnet-sdk-6.0 Copyright 2022
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=dotnet-sdk-6.0
+SRCNAM=dotnet-sdk
+VERSION=${VERSION:-6.0.200}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+  ARCH=$( uname -m )
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+  ARCHITECTURE="x64"
+else
+  echo "Package for $ARCH architecture is not available."
+  exit 1
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+  exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}-${BUILD}
+mkdir -p $PRGNAM-${VERSION}-${BUILD}
+cd $PKG
+mkdir -p usr/share/dotnet
+tar -zxf $CWD/$SRCNAM-${VERSION}-linux-${ARCHITECTURE}.tar.gz -C usr/share/dotnet
+chown -R root:root usr/share/dotnet
+
+mkdir -p usr/bin
+ln -s /usr/share/dotnet/dotnet usr/bin/dotnet
+
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/dotnet-sdk-6.0/dotnet-sdk-6.0.info b/development/dotnet-sdk-6.0/dotnet-sdk-6.0.info
new file mode 100644
index 00000000000..929d34e299f
--- /dev/null
+++ b/development/dotnet-sdk-6.0/dotnet-sdk-6.0.info
@@ -0,0 +1,10 @@
+PRGNAM="dotnet-sdk-6.0"
+VERSION="6.0.200"
+HOMEPAGE="https://dotnet.microsoft.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://download.visualstudio.microsoft.com/download/pr/807f9d72-4940-4b1a-aa4a-8dbb0f73f5d7/cb666c22a87bf9413f29615e0ba94500/dotnet-sdk-6.0.200-linux-x64.tar.gz"
+MD5SUM_x86_64="bd0d6472672d203d0482cc79981e34df"
+REQUIRES=""
+MAINTAINER="khronosschoty"
+EMAIL="khronosschoty at posteo.org"
diff --git a/development/dotnet-sdk-6.0/slack-desc b/development/dotnet-sdk-6.0/slack-desc
new file mode 100644
index 00000000000..b5fe1d7ec87
--- /dev/null
+++ b/development/dotnet-sdk-6.0/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+              |-----handy-ruler------------------------------------------------------|
+dotnet-6.0: dotnet-6.0 (Cross-platform development framework)
+dotnet-6.0:
+dotnet-6.0: .NET Core is an open-source, general-purpose development
+dotnet-6.0: platform maintained by Microsoft and the .NET community on
+dotnet-6.0: GitHub. It's cross-platform (supporting Windows, macOS, and Linux)
+dotnet-6.0: and can be used to build device, cloud, and IoT applications.
+dotnet-6.0: Please run 'dotnet new' after installing to initiate the program
+dotnet-6.0: and load all of the templates.
+dotnet-6.0:
+dotnet-6.0: https://dotnet.microsoft.com/
+dotnet-6.0:
-- 
2.35.1

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 870 bytes
Desc: not available
URL: <http://lists.slackbuilds.org/pipermail/slackbuilds-users/attachments/20220224/136fcc8d/attachment.asc>


More information about the SlackBuilds-users mailing list